client.stub.irepositorytac

## Class Document

- java.lang.Object
- - client.stub.irepositorytac.Document

-     public class Document
      extends Object

  Classe Java per document complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="document">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="idDocument" type="{http://www.w3.org/2001/XMLSchema}string" form="unqualified"/>
               <element name="documentDate" type="{http://www.w3.org/2001/XMLSchema}date" form="unqualified"/>
               <element name="binaryName" type="{http://www.w3.org/2001/XMLSchema}string" form="unqualified"/>
               <element name="binaryContent" type="{http://www.w3.org/2001/XMLSchema}base64Binary" form="unqualified"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte[]` | `binaryContent`
    `protected String` | `binaryName`
    `protected LocalDate` | `documentDate`
    `protected String` | `idDocument`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Document()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getBinaryContent()` Recupera il valore della proprietà binaryContent.
    `String` | `getBinaryName()` Recupera il valore della proprietà binaryName.
    `LocalDate` | `getDocumentDate()` Recupera il valore della proprietà documentDate.
    `String` | `getIdDocument()` Recupera il valore della proprietà idDocument.
    `void` | `setBinaryContent(byte[] value)` Imposta il valore della proprietà binaryContent.
    `void` | `setBinaryName(String value)` Imposta il valore della proprietà binaryName.
    `void` | `setDocumentDate(LocalDate value)` Imposta il valore della proprietà documentDate.
    `void` | `setIdDocument(String value)` Imposta il valore della proprietà idDocument.
    `String` | `toString()` Generates a String representation of the contents of this type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### idDocument

          protected String idDocument

    - #### documentDate

          protected LocalDate documentDate

    - #### binaryName

          protected String binaryName

    - #### binaryContent

          protected byte[] binaryContent

  - ### Constructor Detail

    - #### Document

          public Document()

  - ### Method Detail

    - #### getIdDocument

          public String getIdDocument()

      Recupera il valore della proprietà idDocument.
      Returns:
        possible object is `String`

    - #### setIdDocument

          public void setIdDocument(String value)

      Imposta il valore della proprietà idDocument.
      Parameters:
        `value` - allowed object is `String`

    - #### getDocumentDate

          public LocalDate getDocumentDate()

      Recupera il valore della proprietà documentDate.
      Returns:
        possible object is `String`

    - #### setDocumentDate

          public void setDocumentDate(LocalDate value)

      Imposta il valore della proprietà documentDate.
      Parameters:
        `value` - allowed object is `String`

    - #### getBinaryName

          public String getBinaryName()

      Recupera il valore della proprietà binaryName.
      Returns:
        possible object is `String`

    - #### setBinaryName

          public void setBinaryName(String value)

      Imposta il valore della proprietà binaryName.
      Parameters:
        `value` - allowed object is `String`

    - #### getBinaryContent

          public byte[] getBinaryContent()

      Recupera il valore della proprietà binaryContent.
      Returns:
        possible object is byte[]

    - #### setBinaryContent

          public void setBinaryContent(byte[] value)

      Imposta il valore della proprietà binaryContent.
      Parameters:
        `value` - allowed object is byte[]

    - #### toString

          public String toString()

      Generates a String representation of the contents of this type. This is an extension method, produced by the 'ts' xjc plugin
      Overrides:
        `toString` in class `Object`

Copyright © 2024. All rights reserved.